Bug 628071 (CVE-2010-3115) - CVE-2010-3115 webkit: address bar spoofing with history bug
Summary: CVE-2010-3115 webkit: address bar spoofing with history bug
Status: CLOSED ERRATA
Alias: CVE-2010-3115
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100819,reported=20100824,sou...
Keywords: Security
Depends On: 640382 640385 640386
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-27 19:02 UTC by Vincent Danen
Modified: 2012-03-07 07:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 07:06:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 17:07:15 UTC

Description Vincent Danen 2010-08-27 19:02:42 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3115 to
the following vulnerability:

Name: CVE-2010-3115
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3115
Assigned: 20100824
Reference: CONFIRM: http://code.google.com/p/chromium/issues/detail?id=49964
Reference: CONFIRM: http://googlechromereleases.blogspot.com/2010/08/stable-channel-update_19.html

Google Chrome before 5.0.375.127 does not properly implement the
history feature, which might allow remote attackers to spoof the
address bar via unspecified vectors.


This flaw also affects upstream WebKit:

https://bugs.webkit.org/show_bug.cgi?id=42858
http://trac.webkit.org/changeset/64077

Comment 1 Vincent Danen 2010-10-05 16:23:55 UTC
This issue has been corrected in WebKitGTK 1.2.5.

Comment 2 Vincent Danen 2010-10-05 17:18:37 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 640382]

Comment 4 Vincent Danen 2010-11-18 17:15:04 UTC
Apple also assigned CVE-2010-3810 to this issue.

Comment 5 errata-xmlrpc 2011-01-25 17:07:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html


Note You need to log in before you can comment on or make changes to this bug.